package com.qmth.teachcloud.eds.job;

import com.qmth.teachcloud.eds.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * 广东药科大学数据同步
 */
public class GdpuDataSyncJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(GdpuDataSyncJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        try {
            jobService.syncGdpuData();
        } catch (Exception e) {
            log.error("ERROR", e);
        }
    }
}
